Subject: bug#45068: [PATCH] 28.0.50; Update Modus themes 1.0.2 (backward-incompatible)

From: Christopher Dimech <[email-masked]>
Date: Fri, 11 Dec 2020 16:42:10 +0100

> Sent: Friday, December 11, 2020 at 4:32 PM
> From: "Eli Zaretskii" <[email-masked]>
> To: "Stefan Kangas" <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> Subject: bug#45068: [PATCH] 28.0.50; Update Modus themes 1.0.2 (backward-incompatible)
>
> > From: Stefan Kangas <[email-masked]>
> > Date: Fri, 11 Dec 2020 09:15:32 -0600
> > Cc: [email-masked], [email-masked], [email-masked],
> > 	[email-masked]
> >
> > > What theme-related files need to be byte-compiled, and why?
> >
> > I believe the issues involved are explained in some detail in the first
> > message in this bug report.
>
> If they are, I'm missing that.  All I see is an assertion that the
> files must be byte-compiled:
>
> > The problem with contributing this new code to Emacs is that it cannot
> > work if it is placed in ../etc/themes/.  Instead, the files need to be
> > in a path that handles byte-compilation, like ../lisp/modus-themes/.

Then a good idea to use "lisp/themes" for modus-themes :)

> I'm probably missing something, and that is what I'm asking to
> elaborate on.
>
> TIA
>
>
>
>